## org.eclipse.datatools.sqltools.debugger.core
Class AutoAttachUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.core.AutoAttachUtil

    public class AutoAttachUtil

extends java.lang.Object

Author:
  Yang Liu

Constructor Summary
`AutoAttachUtil()`

Method Summary
`static java.sql.Connection` `createConnection(org.eclipse.datatools.sqltools.core.IControlConnection controlcon, boolean autoattach, java.lang.String[] connid)` If can't get connection id, may put "" as connection id.
`static void` `enableAutoAttach(org.eclipse.datatools.sqltools.core.IControlConnection controlCon)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoAttachUtil

    public AutoAttachUtil()

Method Detail

### createConnection

    public static java.sql.Connection createConnection(org.eclipse.datatools.sqltools.core.IControlConnection controlcon,
                                                       boolean autoattach,
                                                       java.lang.String[] connid)
                                                throws java.sql.SQLException,
                                                       org.eclipse.core.runtime.CoreException,
                                                       org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

  If can't get connection id, may put "" as connection id. So caller should check.

  Parameters:
    `controlcon` -
    `autoattach` -
    `connid` -
  Returns:
  Throws:
    `java.sql.SQLException`
    `org.eclipse.core.runtime.CoreException`
    `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`

### enableAutoAttach

    public static void enableAutoAttach(org.eclipse.datatools.sqltools.core.IControlConnection controlCon)

  Parameters:
    `controlCon` -